com.sun.jna.platform.win32

## Class Ntifs.GenericReparseBuffer

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ntifs.GenericReparseBuffer

- Direct Known Subclasses:
    Ntifs.GenericReparseBuffer.ByReference
  Enclosing interface:
    Ntifs

      @Structure.FieldOrder(value="DataBuffer")
      public static class Ntifs.GenericReparseBuffer
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Ntifs.GenericReparseBuffer.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `DataBuffer` Microsoft-defined data for the reparse point.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericReparseBuffer()`
    `GenericReparseBuffer(Pointer memory)`
    `GenericReparseBuffer(java.lang.String DataBuffer)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `sizeOf()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DataBuffer

          public byte[] DataBuffer

      Microsoft-defined data for the reparse point. NOTE: MAXIMUM_REPARSE_DATA_BUFFER_SIZE is chosen based on documentation

  - ### Constructor Detail

    - #### GenericReparseBuffer

          public GenericReparseBuffer()

    - #### GenericReparseBuffer

          public GenericReparseBuffer(Pointer memory)

    - #### GenericReparseBuffer

          public GenericReparseBuffer(java.lang.String DataBuffer)

  - ### Method Detail

    - #### sizeOf

          public static int sizeOf()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.